> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Shareholders

> List of outstanding shareholders of the company

## 公司股东

**URL**: `/v1/stock/company-shareholders`
**方法**: `POST`\
**描述**: 获取公司股东信息列表。

### 请求参数

| 参数名    | 类型  | 必填 | 描述                                              |
| ------ | --- | -- | ----------------------------------------------- |
| symbol | str | 是  | 股票代码。                                           |
| type   | str | 否  | 类型：`shareholders` 或 `outstanding_shareholders`。 |
| limit  | int | 否  | 返回数量限制，默认 10。                                   |

### 响应参数

| 参数名          | 类型     | 描述            |
| ------------ | ------ | ------------- |
| status       | int    | HTTP 状态码。     |
| code         | int    | 响应代码（0 表示成功）。 |
| message      | str    | 响应消息。         |
| data         | object | 股东数据。         |
|   items      | array  | 股东列表。         |
|     name     | str    | 股东名称。         |
|     holdings | int    | 持股数量。         |
|     percent  | number | 持股比例。         |
|     date     | str    | 数据日期。         |

### 请求示例

**cURL**

```bash theme={null}
curl -X POST https://api.reportify.cn/v1/stock/company-shareholders \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
    "symbol": "00700",
    "limit": 5
}'
```

**Python**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/stock/company-shareholders"
headers = {
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}
data = {
    "symbol": "00700",
    "limit": 5
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
```

### 响应示例

```json theme={null}
{
  "status": 200,
  "code": 0,
  "message": "",
  "data": {
    "items": [
      {
        "date": "2020-06-12",
        "name": "马化腾",
        "holdings": 804859700,
        "percent": 0.0842
      },
      {
        "date": "2025-07-25",
        "name": "Naspers Limited",
        "holdings": 2105253100,
        "percent": 0.2299
      }
    ]
  }
}
```

### 错误响应

| 状态码 | 描述        |
| --- | --------- |
| 422 | 请求参数验证失败。 |


## OpenAPI

````yaml POST /v1/stock/company-shareholders
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/stock/company-shareholders:
    post:
      tags:
        - openapi-v2-stock
      summary: Company Shareholders
      description: List of outstanding shareholders of the company
      operationId: company_shareholders_reportify_api_v2_stock_company_shareholders_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyShareholdersInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StockAPIResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    CompanyShareholdersInput:
      properties:
        symbol:
          type: string
          title: Symbol
          description: Stock symbol
        type:
          type: string
          title: Type
          description: Choose 'shareholders' or 'outstanding_shareholders'
        limit:
          type: integer
          title: Limit
          description: Limit return number, default 10
      type: object
      required:
        - symbol
      title: CompanyShareholdersInput
      description: Input schema for company shareholders
    StockAPIResponse:
      properties:
        status:
          type: integer
          title: Status
          description: HTTP status code
        code:
          type: integer
          title: Code
          description: Response code (0 for success)
        message:
          type: string
          title: Message
          description: Response message
        data:
          type: object
          title: Data
          description: Response data (structure varies by endpoint)
      type: object
      title: StockAPIResponse
      description: Generic response wrapper from stock API
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````